### Function

# Ide source_search_context_backward_async

#### Declaration

    void
    ide_source_search_context_backward_async (
      GtkSourceSearchContext* search,
      const GtkTextIter* iter,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This function is an alternate implementation of async backward search that works around an issue in upstream GtkSourceView until it is fixed and we can remove this.

https://gitlab.gnome.org/GNOME/gtksourceview/issues/8

Available since: | 3.32

#### Parameters

`search` | `GtkSourceSearchContext`
| No description available.
| The data is owned by the caller of the function.
`iter` | `GtkTextIter`
| No description available.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
| The argument can be `NULL`.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.